<?
require_once('include/global.php');
require_once('include/mail_lib.php');

set_time_limit(1200);

// check
	if (!$_POST['m_id'] || !$_POST['m_pwd'])
		msg('올바른 URL로 접근하여 주십시오');


// [2006-06-13] 아이디 저장
	if ($_POST['is_save_id'])
	{
		setcookie("nm_m_id", $_POST['m_id'], time()+86400*365, "/");
	} else if ($_COOKIE['nm_m_id'])
	{
		setcookie("nm_m_id", '', time(), "/");
	}	// if()

// [2008-02-28] IP보안 비활성화 가능.  기본값은 사용함.
	if ($_POST['is_ip_check'] != '1')
	{
		setcookie("nm_ipchkoff", '1', time()+86400*365, "/");
	} else if ($_COOKIE['nm_ipchkoff'])
	{
		setcookie("nm_ipchkoff", '', time(), "/");
	}	// if()


// login
	auth_proc('LOGIN_ONCE');


page_loading_view("로그인중입니다.");


// 아웃룩에서 메일을 가져간후 삭제했을 경우 웹메일 디비에서도 자동삭제함.
	sync_mailfile_db();

// end
	#page_loading_view_hidden();



	// [2025-05-20] 2단계 인증, 로그인 기기 등록
	tfa_login_device_add($AUTH['auth_m_no']);

	// [2024-09-11] http, https 등 URL scheme 가 없을 경우만 이동 지원 (다른 도메인으로 이동 예방)
	$url = parse_url($_POST['back_url']);

	// [2025-05-20] 2단계 인증, OTP 등록/인증 페이지 이동
	tfa_login_OTP_movepage($_POST['back_url']);

	if ($_POST['back_url'] && ! isset($url['scheme']))
	{
		movepage(stripslashes($_POST['back_url']));
	} else
	{
		movepage($G_SYS['URL_ROOT'].'/index.php');
	}	// if()

require_once('include/global_end.php');
?>